<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC

@author lorena.salamanca

@description página que muestra los datos de un avaluador para consulta o modificación

@modified pedro.garcia
    - documentación
    - implementación de funcionalidad e integración
-->

<h:form id="modificarAvaluadorExternoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:messages id="modificarAvaluadorMsgs" showDetail="false" />

    <p:spacer width="5" />
    <p:fieldset>
        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:panelGroup>
                <h:outputLabel value="Territorial que contrató: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="3">
                <h:selectOneMenu id="territorialAvaluador"
                                 value="#{adminInfoAvaluadoresExternos.currentAvaluador.territorial.codigo}"
                                 label="Territorial" required="true">
                    <f:selectItems
                        value="#{adminInfoAvaluadoresExternos.combosDeptosMunis.territorialesItemList}" />
                </h:selectOneMenu>
                <p:message id="territorialMsg" for="territorialAvaluador"
                           display="icon" />
                <p:commandLink id="btnOrdenTerritoriales"
                               update="btnOrdenTerritoriales, territorialAvaluador"
                               title="Ordenar territoriales"
                               action="#{adminInfoAvaluadoresExternos.combosDeptosMunis.cambiarOrdenTerritoriales}"
                               ajax="true" immediate="true">
                    <p:graphicImage
                        rendered="#{adminInfoAvaluadoresExternos.combosDeptosMunis.territorialesOrderedByNombre}"
                        style="border: none" value="/images/sortCode.png" />
                    <p:graphicImage
                        rendered="#{!adminInfoAvaluadoresExternos.combosDeptosMunis.territorialesOrderedByNombre}"
                        style="border: none" value="/images/sortText.png" />
                </p:commandLink>
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel value="Profesión:" styleClass="outputLabelStyle" />
            </h:panelGroup>
            <h:selectOneMenu rendered="false"
                             value="#{adminInfoAvaluadoresExternos.currentAvaluador.profesion}">
                <f:selectItems
                    value="#{adminInfoAvaluadoresExternos.profesionesItemList}" />
            </h:selectOneMenu>
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.profesion.nombre}"
                styleClass="outputTextStyle" />

            <h:panelGroup>
                <h:outputLabel value="Tipo Documento:" styleClass="outputLabelStyle" />
            </h:panelGroup>
            <h:selectOneMenu
                value="#{administracionInformacionAvaluadoresExternos.currentAvaluador.tipoIdentificacion}"
                required="true" rendered="false">
                <f:selectItems value="#{general.personaTipoIdentificacionNoNitCV}" />
            </h:selectOneMenu>
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.tipoIdentificacion}"
                styleClass="outputTextStyle" />


            <h:panelGroup>
                <h:outputLabel value="Número documento: "
                               styleClass="outputLabelStyle" />
            </h:panelGroup>
            <h:panelGroup rendered="false">
                <h:inputText id="avaluadorNI"
                             value="#{adminInfoAvaluadoresExternos.currentAvaluador.numeroIdentificacion}"
                             maxlength="30" required="true" />
                <p:message for="avaluadorNI" display="icon" id="avaluadorNIMsg" />
            </h:panelGroup>
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.numeroIdentificacion}"
                styleClass="outputTextStyle" />


            <h:outputLabel value="Primer apellido:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.primerApellido}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Segundo apellido:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.segundoApellido}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Primer nombre:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.primerNombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Segundo nombre:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.segundoNombre}"
                styleClass="outputTextStyle" />

            <h:panelGroup>
                <h:outputLabel value="Departamento residencia:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="3">
                <h:selectOneMenu id="departamentoSeleccionado" label="Departamento"
                                 value="#{combosDeptosMunis.selectedDepartamentoCod}"
                                 required="true">
                    <f:selectItems value="#{combosDeptosMunis.departamentosItemList}" />
                    <p:ajax process="@this" update="consultaPredioMunicipio"
                            listener="#{combosDeptosMunis.onChangeDepartamentosListener}" />
                </h:selectOneMenu>
                <p:message id="departamentoMsg" for="departamentoSeleccionado"
                           display="icon" />
                <p:commandLink id="btnOrdenDepartamentos"
                               update="btnOrdenDepartamentos, departamentoSeleccionado"
                               title="Ordenar departamentos"
                               action="#{combosDeptosMunis.cambiarOrdenDepartamentos}" ajax="true"
                               immediate="true">
                    <p:graphicImage
                        rendered="#{combosDeptosMunis.departamentosOrderedByNombre}"
                        style="border: none" value="/images/sortCode.png" />
                    <p:graphicImage
                        rendered="#{!combosDeptosMunis.departamentosOrderedByNombre}"
                        style="border: none" value="/images/sortText.png" />
                </p:commandLink>
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Municipio residencia:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="3">
                <h:selectOneMenu id="consultaPredioMunicipio" label="Municipio"
                                 value="#{combosDeptosMunis.selectedMunicipioCod}" required="true">
                    <f:selectItems value="#{combosDeptosMunis.municipiosItemList}" />
                    <p:ajax process="@this" update="modificarAvaluadorExternoForm"
                            oncomplete="onChangeMunicipio();"
                            listener="#{combosDeptosMunis.onChangeMunicipiosListener}" />

                </h:selectOneMenu>
                <p:message id="municipioMsg" for="consultaPredioMunicipio"
                           display="icon" />
                <p:commandLink id="btnOrdenMunicipios"
                               update="btnOrdenMunicipios, consultaPredioMunicipio"
                               title="Ordenar municipios"
                               action="#{combosDeptosMunis.cambiarOrdenMunicipios}" ajax="true"
                               immediate="true">
                    <p:graphicImage
                        rendered="#{combosDeptosMunis.municipiosOrderedByNombre}"
                        style="border: none" value="/images/sortCode.png" />
                    <p:graphicImage
                        rendered="#{!combosDeptosMunis.municipiosOrderedByNombre}"
                        style="border: none" value="/images/sortText.png" />
                </p:commandLink>
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel value="Dirección: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:inputText id="direccionAvaluadorIT"
                         value="#{adminInfoAvaluadoresExternos.currentAvaluador.direccion}"
                         label="Dirección" required="true" maxlength="100">
                <p:message id="direccionMsg" for="direccionAvaluadorIT"
                           display="icon" />
            </h:inputText>


            <h:panelGroup>
                <h:outputLabel value="Teléfono: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:inputText id="telefonoAvaluadorIT"
                         value="#{adminInfoAvaluadoresExternos.currentAvaluador.telefono}"
                         label="Teléfono" required="true" maxlength="15">
                <p:message id="telefonoMsg" for="telefonoAvaluadorIT" display="icon" />
            </h:inputText>

            <h:panelGroup>
                <h:outputLabel value="Celular: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:inputText id="celularAvaluadorIT"
                         value="#{adminInfoAvaluadoresExternos.currentAvaluador.celular}"
                         required="true" maxlength="15">
                <p:message id="celularMsg" for="celularAvaluadorIT" display="icon" />
            </h:inputText>

            <h:panelGroup>
                <h:outputLabel value="Correo electrónico: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:inputText id="emailAvaluadorIT" label="Correo electrónico"
                         value="#{adminInfoAvaluadoresExternos.currentAvaluador.correoElectronico}"
                         required="true" maxlength="50">
                <f:validator validatorId="emailValidator" for="emailAvaluadorIT" />
                <p:message id="emailMsg" for="emailAvaluadorIT" display="icon" />
            </h:inputText>


            <ui:remove>
                <h:outputLabel value="Genera IVA: " styleClass="outputLabelStyle" />
                <h:selectBooleanCheckbox value="false" title="FIXME" />
            </ui:remove>


        </h:panelGrid>
    </p:fieldset>

    <h:panelGrid columns="2" cellspacing="7">
        <p:commandButton value="Aceptar" icon="ui-icon-check"
                         action="#{adminInfoAvaluadoresExternos.dummy}"
                         update="modificarAvaluadorMsgs, territorialMsg, departamentoMsg, municipioMsg, direccionMsg, telefonoMsg,
                         celularMsg, emailMsg"
                         oncomplete="handleCompleteSIC(xhr, status, args, modifyConfirmationWV, true);" />

        <p:commandButton value="Cancelar" icon="ui-icon-close"
                         oncomplete="modificarAvaluadorExternoWV.hide();" />
    </h:panelGrid>

</h:form>